Imports Microsoft.VisualBasic
Imports System
Imports System.Linq
Imports System.Text
Imports DevExpress.Xpo
Imports DevExpress.ExpressApp
Imports System.ComponentModel
Imports DevExpress.ExpressApp.DC
Imports DevExpress.Data.Filtering
Imports DevExpress.Persistent.Base
Imports System.Collections.Generic
Imports DevExpress.ExpressApp.Model
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation

Public Enum eFixedAssetsCardPlanRowsType
    eActivated = 0
    eNormal = 1
    eKeyChange = 2
    eExtraDecrepation = 3
    eExtraActivated = 4
    eTerminate = 5
End Enum
<DefaultClassOptions(), NavigationItem(False), CreatableItem(False)> _
Public Class FixedAssetsCardPlanRows ' Specify more UI options using a declarative approach (http://documentation.devexpress.com/#Xaf/CustomDocument2701).
    Inherits BaseObject ' Inherit from a different class to provide a custom primary key, concurrency and deletion behavior, etc. (http://documentation.devexpress.com/#Xaf/CustomDocument3146).

    Private _FixedAssetsCard As FixedAssetsCard
    Private _RowIndex As Long 'Sorindex
    Private _FixedAssetsCardPlanRowsType As eFixedAssetsCardPlanRowsType
    Private _FixedAssetsTerminalReason As eFixedAssetsTerminalReason
    Private _DatedFrom As Date
    Private _DateTo As Date
    Private _DateExecution As Date ' Telj. dátuma
    Private _DayCountACC As Long 'Napok száma ACC
    Private _DayCountTAX As Long 'Napok száma ACC
    Private _KeyTax As Double 'Leírási kulcs TA
    Private _KeyACC As Double 'Leírási kulcs SZV
    Private _DayDecrepationTAX As Double 'Napi ÉCS TA
    Private _DayDecrepationACC As Double 'Napi ÉCS SZV
    Private _SalvageHUF As Double 'Maradvány érték
    Private _SalvageHUFBallance As Double 'Maradványérték változás
    Private _BruttoHUF As Double 'Bruttó ért. V.
    Private _BruttoHUFBallance As Double 'Bruttó ért.
    Private _DecrepationHUFACC As Double 'ÉCS változás SZV
    Private _NettoHUFBallanceACC As Double 'Nettó érték SZ
    Private _DecrepationHUFTAX As Double 'ÉCS változás TA
    Private _NettoHUFBallanceTAX As Double 'Nettó érték TA
    Private _BruttoHUFTerminal As Double 'Br. Kivezetés
    Private _NettoHUFTerminalACC As Double 'Ne SZ kivezetés
    Private _IsModified As Boolean

    Public Sub New(ByVal session As Session)
        MyBase.New(session)
    End Sub
    Public Overrides Sub AfterConstruction()
        MyBase.AfterConstruction()
        IsModified = False
    End Sub

    <Association("FixedAssetsCard-FixedAssetsCardPlanRows", GetType(FixedAssetsCard)), VisibleInListView(False), VisibleInLookupListView(False)> _
    Property FixedAssetsCard As FixedAssetsCard
        Get
            Return _FixedAssetsCard
        End Get
        Set(value As FixedAssetsCard)
            SetPropertyValue("FixedAssetsCard", _FixedAssetsCard, value)
        End Set
    End Property
    Property RowIndex As Long
        Get
            Return _RowIndex
        End Get
        Set(value As Long)
            SetPropertyValue("RowIndex", _RowIndex, value)
        End Set
    End Property
    Property FixedAssetsCardPlanRowsType As eFixedAssetsCardPlanRowsType
        Get
            Return _FixedAssetsCardPlanRowsType
        End Get
        Set(value As eFixedAssetsCardPlanRowsType)
            SetPropertyValue("FixedAssetsCardPlanRowsType ", _FixedAssetsCardPlanRowsType, value)
        End Set
    End Property
    Property FixedAssetsTerminalReason As eFixedAssetsTerminalReason
        Get
            Return _FixedAssetsTerminalReason
        End Get
        Set(value As eFixedAssetsTerminalReason)
            SetPropertyValue("FixedAssetsTerminalReason", _FixedAssetsTerminalReason, value)
        End Set
    End Property
    Property DateFrom As Date
        Get
            Return _DatedFrom
        End Get
        Set(value As Date)
            SetPropertyValue("DateFrom", _DatedFrom, value)
        End Set
    End Property
    Property DateTo As Date
        Get
            Return _DateTo
        End Get
        Set(value As Date)
            SetPropertyValue("DateTo", _DateTo, value)

        End Set
    End Property
    Property DateExecution As Date
        Get
            Return _DateExecution
        End Get
        Set(value As Date)
            SetPropertyValue("DateExecution", _DateExecution, value)
        End Set
    End Property
    Property DayCountACC As Long
        Get
            Return _DayCountACC
        End Get
        Set(value As Long)
            SetPropertyValue("DayCountACC", _DayCountACC, value)
        End Set
    End Property
    Property DayCountTAX As Long
        Get
            Return _DayCountTAX
        End Get
        Set(value As Long)
            SetPropertyValue("DayCountTAX", _DayCountTAX, value)
        End Set
    End Property
    Property KeyTax As Double
        Get
            Return _KeyTax
        End Get
        Set(value As Double)
            SetPropertyValue("KeyTax", _KeyTax, value)
        End Set
    End Property
    Property KeyACC As Double
        Get
            Return _KeyACC
        End Get
        Set(value As Double)
            SetPropertyValue("KeyACC", _KeyACC, value)
        End Set
    End Property
    Property DayDecrepationTAX As Double
        Get
            Return _DayDecrepationTAX
        End Get
        Set(value As Double)
            SetPropertyValue("DayDecrepationTAX", _DayDecrepationTAX, value)
        End Set
    End Property
    Property DayDecrepationACC As Double
        Get
            Return _DayDecrepationACC
        End Get
        Set(value As Double)
            SetPropertyValue("DayDecrepationACC", _DayDecrepationACC, value)
        End Set
    End Property
    Property SalvageHUF As Double
        Get
            Return _SalvageHUF
        End Get
        Set(value As Double)
            SetPropertyValue("SalvageHUF", _SalvageHUF, value)
        End Set
    End Property
    Property SalvageHUFBallance As Double
        Get
            Return _SalvageHUFBallance
        End Get
        Set(value As Double)
            SetPropertyValue("SalvageHUFBallance", _SalvageHUFBallance, value)
        End Set
    End Property
    Property BruttoHUF As Double
        Get
            Return _BruttoHUF
        End Get
        Set(value As Double)
            SetPropertyValue("BruttoHUF", _BruttoHUF, value)
        End Set
    End Property
    Property BruttoHUFBallance As Double
        Get
            Return _BruttoHUFBallance
        End Get
        Set(value As Double)
            SetPropertyValue("BruttoHUFBallance", _BruttoHUFBallance, value)
        End Set
    End Property
    Property DecrepationHUFACC As Double
        Get
            Return _DecrepationHUFACC
        End Get
        Set(value As Double)
            SetPropertyValue("DecrepationHUFACC", _DecrepationHUFACC, value)
        End Set
    End Property
    Property NettoHUFBallanceACC As Double
        Get
            Return _NettoHUFBallanceACC
        End Get
        Set(value As Double)
            SetPropertyValue("NettoHUFBallanceACC", _NettoHUFBallanceACC, value)
        End Set
    End Property
    Property DecrepationHUFTAX As Double
        Get
            Return _DecrepationHUFTAX
        End Get
        Set(value As Double)
            SetPropertyValue("DecrepationHUFTAX", _DecrepationHUFTAX, value)
        End Set
    End Property
    Property NettoHUFBallanceTAX As Double
        Get
            Return _NettoHUFBallanceTAX
        End Get
        Set(value As Double)
            SetPropertyValue("NettoHUFBallanceTAX", _NettoHUFBallanceTAX, value)
        End Set
    End Property
    Property BruttoHUFTerminal As Double
        Get
            Return _BruttoHUFTerminal
        End Get
        Set(value As Double)
            SetPropertyValue("BruttoHUFTerminal", _BruttoHUFTerminal, value)
        End Set
    End Property
    Property NettoHUFTerminalACC As Double
        Get
            Return _NettoHUFTerminalACC
        End Get
        Set(value As Double)
            SetPropertyValue("NettoHUFTerminalACC", _NettoHUFTerminalACC, value)
        End Set
    End Property
    Property IsModified As Boolean
        Get
            Return _IsModified
        End Get
        Set(value As Boolean)
            SetPropertyValue("IsModified", _IsModified, value)
        End Set
    End Property
End Class
